/*
 * Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
 *
 * This file is part of NRAO Workspaces.
 *
 * Workspaces is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Workspaces is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
 */
export class SubscanDataDesc {
  bandwidth: number;
  center_frequency: number;
  id: string;
  polarizations: number;
}

export class Subscan {
  datadesc: Array<SubscanDataDesc>;
  dd_config_id: number;
  id: string;
  latitude: number;
  longitude: number;
  scan_intent: string;
  t_resolution: number;
  target_name: string;
  target_pos_ecliptic: string;
  target_pos_equatorial: string;
  target_pos_galactic: string;
}
